Skip to main content
PUT
Save the successful-backup retention count and overdue grace. The newest successful backup and packages needed by current restore requests remain protected.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
required

Bound to actor, operation, target, schema version and canonical payload; changed input returns 409.

Required string length: 8 - 255

Path Parameters

orgId
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
databaseId
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Body

application/json
expectedVersion
integer
required
Required range: 0 <= x <= 2147483646
retentionCount
integer | null
required
Required range: 1 <= x <= 10000
overdueGraceMinutes
integer
required
Required range: 5 <= x <= 1440

Response

Authorised operation result.

policy
object
required
emailDeliveryAvailable
boolean
required
lastSuccessful
object | null
required
alerts
object[]
required
Maximum array length: 20
retentionError
string | null
required